class Config():

    @property
    def config_folder(self):
        return self.config.get("Docs_Settings", "Config_folder").rstrip("/")

    @property
    def documentid(self):
        return self.config.get("Docs_Settings", 'Document_ID')

    @property
    def token_file(self):
        file = self.config.get("Docs_Settings", "token_file")
        return (self.config_folder + "/" + file)

    @property
    def data_file(self):
        file = self.config.get("Docs_Settings", "data_file")
        return (self.config_folder + "/" + file)

    @property
    def credentials_file(self):
        file = self.config.get("Docs_Settings", "credentials_file")
        return (self.config_folder + "/" + file)

    @property
    def allowed_users(self):
        usrs = self.config.get("Users", "allowed_users").split(',')
        return [int(user_id) for user_id in usrs]

    @property
    def admin_user(self):
        usrs = self.config.get("Users", "admin_users").split(',')
        return [int(user_id) for user_id in usrs]

    @property
    def telegram_bot_api_server(self):
        server = self.config.get("Bot", "telegram_bot_api_server")
        if str(server).lower() == "none":
            return "https://api.telegram.org"
        else:
            return server

    @property
    def logging_user(self):
        o = self.config.get("DataBase", "enable_logging")
        if o.lower() in ['t', "yes", "true"]:
            return True
        return False
